For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.synthflow.ai/api-reference/platform-api/webhook-logs/llms.txt. For full documentation content, see https://docs.synthflow.ai/api-reference/platform-api/webhook-logs/llms-full.txt.

# Get Webhook Log Detail

GET https://api.synthflow.ai/v2/logs/{webhook_log_id}

Retrieve detailed information for a specific webhook log

Reference: https://docs.synthflow.ai/api-reference/platform-api/webhook-logs/get-webhook-log-detail

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /logs/{webhook_log_id}:
    get:
      operationId: get-webhook-log-detail
      summary: Get Webhook Log Detail
      description: Retrieve detailed information for a specific webhook log
      tags:
        - subpackage_webhookLogs
      parameters:
        - name: webhook_log_id
          in: path
          required: true
          schema:
            type: string
        - name: workspace_id
          in: query
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Detailed webhook log information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookLogDetailResponse'
        '403':
          description: Access denied to workspace
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Webhook log not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    WebhookType:
      type: string
      enum:
        - external_webhook
        - inbound_webhook
        - custom_action
      description: Type of webhook
      title: WebhookType
    WebhookLogPayloadRequestHeaders:
      type: object
      properties: {}
      description: HTTP headers sent with the request
      title: WebhookLogPayloadRequestHeaders
    WebhookLogPayloadRequestPayload:
      type: object
      properties: {}
      description: Payload sent with the request
      title: WebhookLogPayloadRequestPayload
    WebhookLogPayloadResponsePayload:
      type: object
      properties: {}
      description: Payload received in the response
      title: WebhookLogPayloadResponsePayload
    WebhookLogPayloadResponseHeaders:
      type: object
      properties: {}
      description: HTTP headers received in the response
      title: WebhookLogPayloadResponseHeaders
    WebhookStatus:
      type: string
      enum:
        - pending
        - success
        - failed
      description: Status of webhook execution
      title: WebhookStatus
    WebhookLogPayloadRequestOrigin:
      type: object
      properties: {}
      description: Request origin headers (user_agent, x_forwarded_for, x_real_ip)
      title: WebhookLogPayloadRequestOrigin
    WebhookLogPayloadFlowLocation:
      type: object
      properties: {}
      description: >-
        Conversation flow context (stage, stage_name, and optionally node,
        node_name)
      title: WebhookLogPayloadFlowLocation
    WebhookLogPayloadRequestQueryParams:
      type: object
      properties: {}
      description: URL query parameters
      title: WebhookLogPayloadRequestQueryParams
    WebhookLogPayload:
      type: object
      properties:
        webhook_log_id:
          type: string
          description: Unique identifier for the webhook log
        webhook_type:
          $ref: '#/components/schemas/WebhookType'
        webhook_url:
          type: string
          description: URL of the webhook endpoint
        call_id:
          type: string
          description: ID of the call associated with this webhook
        model_id:
          type: string
          description: ID of the model/assistant
        workspace_id:
          type: string
          description: ID of the workspace
        action_id:
          type: string
          description: ID of the action
        request_timestamp:
          type: string
          format: date-time
          description: Timestamp when the request was sent
        attempt_number:
          type: integer
          description: Number of attempts made
        request_headers:
          $ref: '#/components/schemas/WebhookLogPayloadRequestHeaders'
          description: HTTP headers sent with the request
        request_payload:
          $ref: '#/components/schemas/WebhookLogPayloadRequestPayload'
          description: Payload sent with the request
        response_timestamp:
          type: string
          format: date-time
          description: Timestamp when the response was received
        response_status_code:
          type: integer
          description: HTTP status code of the response
        response_payload:
          $ref: '#/components/schemas/WebhookLogPayloadResponsePayload'
          description: Payload received in the response
        response_headers:
          $ref: '#/components/schemas/WebhookLogPayloadResponseHeaders'
          description: HTTP headers received in the response
        duration_ms:
          type: integer
          description: Duration of the request in milliseconds
        status:
          $ref: '#/components/schemas/WebhookStatus'
        error_message:
          type: string
          description: Error message if the webhook failed
        request_origin:
          $ref: '#/components/schemas/WebhookLogPayloadRequestOrigin'
          description: Request origin headers (user_agent, x_forwarded_for, x_real_ip)
        flow_location:
          $ref: '#/components/schemas/WebhookLogPayloadFlowLocation'
          description: >-
            Conversation flow context (stage, stage_name, and optionally node,
            node_name)
        request_query_params:
          $ref: '#/components/schemas/WebhookLogPayloadRequestQueryParams'
          description: URL query parameters
        response_ttfb_ms:
          type: integer
          description: Time to first byte in milliseconds
        response_size_total:
          type: integer
          description: Total response size including headers (bytes)
        response_size_body:
          type: integer
          description: Response body size only (bytes)
      required:
        - webhook_log_id
        - webhook_type
        - webhook_url
        - call_id
        - request_timestamp
        - attempt_number
        - request_headers
        - request_payload
        - status
      title: WebhookLogPayload
    WebhookLogDetailResponse:
      type: object
      properties:
        status:
          type: string
        response:
          $ref: '#/components/schemas/WebhookLogPayload'
      required:
        - status
        - response
      title: WebhookLogDetailResponse
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Error type or classification
        message:
          type: string
          description: Detailed error message
      title: ErrorResponse
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/logs/e6d18ef6-83d8-4ff4-a885-74b357ea1190"

querystring = {"workspace_id":"1727192238961x413997613917405200"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/logs/e6d18ef6-83d8-4ff4-a885-74b357ea1190?workspace_id=1727192238961x413997613917405200"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/logs/e6d18ef6-83d8-4ff4-a885-74b357ea1190?workspace_id=1727192238961x413997613917405200")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthflow.ai/v2/logs/e6d18ef6-83d8-4ff4-a885-74b357ea1190?workspace_id=1727192238961x413997613917405200")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/logs/e6d18ef6-83d8-4ff4-a885-74b357ea1190?workspace_id=1727192238961x413997613917405200");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/logs/e6d18ef6-83d8-4ff4-a885-74b357ea1190?workspace_id=1727192238961x413997613917405200")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```